#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QtCore>
#include <QtGui>
#include "Config.h"

class SettingsDialog : public QDialog
{
  Q_OBJECT
public:
  SettingsDialog();
  ~SettingsDialog();
  void setConfig(Config* inputConfig);
  void getConfig(Config* outputConfig);
  
private:
  //QVBoxLayout* dialogLayout;
  //QVBoxLayout* configLayout;
#ifdef Q_WS_MAEMO_5
  QHBoxLayout* configLayout;
#else
  QVBoxLayout* configLayout;
#endif
  
  QHBoxLayout* tagsLayout;
  QHBoxLayout* tagsOptLayout;
  QVBoxLayout* scrollLayout;
  QWidget* scrollW;
  
  QScrollArea* scrArea;
  
  QGroupBox* playlistBox;
  QVBoxLayout* playlistLayout;
  QLabel* labelMetadata;
  QButtonGroup *useTagsOrNames;
  QRadioButton* useTags;
  QRadioButton* useFileNames;
  
  QButtonGroup *updateOnAddingOrPlaying;
  QRadioButton* updateOnAdding;
  QRadioButton* updateOnPlaying;
  
//QCheckBox* savePlaylistOnQuit;
  QCheckBox* savePositionOnQuit;
  
  QVBoxLayout* directoryLayout;
  QHBoxLayout* directoryLayout2;
  QGroupBox* directoryBox;  
  
  QLabel* labelDirectory;
  QLineEdit* directory;
  QPushButton* buttonDir;
  
  QCheckBox* showHiddenFiles;
  
  QDialogButtonBox* dialogButtons;

  //QWidget* configW;
  //Config* cfg;
  private slots:
    void browseDir();
};
#endif
